Endpoint Examples

/versions/{version}/related

Returns a list of skills that are related to the requested skills.

Note that this endpoint has a free tier monthly quota of 50 requests. Responses from this endpoint will include two headers, RateLimit-Remaining and RateLimit-Reset, which indicate how many requests you have remaining in your current quota period and when that quota will reset, respectively.

POST /versions/{version_type}/related

Path Parameters

NameTypeDescription
versionstringThe skills taxonomy version. Example: latest

Code Examples

curl --request POST \
     --url https://api.lightcast.io/skills/versions/9.31/related \
     --header 'accept: application/json' \
     --header 'authorization: Bearer'

Response Examples

{
  "attributions": [
    {
      "name": "Wikipedia",
      "text": "Wikipedia extracts are distributed under the CC BY-SA license (https://creativecommons.org/licenses/by-sa/3.0/)"
    }
  ],
  "data": [
    {
      "id": "KS120D96FHL88PZDKZKH",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS120D96FHL88PZDKZKH",
      "name": "Algorithms",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS1219N6Z3XQ19V0HSKR",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS1219N6Z3XQ19V0HSKR",
      "name": "C# (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS1219W70LY1GXZDSKW5",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS1219W70LY1GXZDSKW5",
      "name": "C++ (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS122SG5Y0Q5YQM7V8KT",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS122SG5Y0Q5YQM7V8KT",
      "name": "Debugging",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS120076FGP5WGWYMP0F",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS120076FGP5WGWYMP0F",
      "name": "Java (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS122VT6S2JJ5C5D80NF",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS122VT6S2JJ5C5D80NF",
      "name": "Linux",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS123GK6Z30G7QTFCY4N",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS123GK6Z30G7QTFCY4N",
      "name": "Perl (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS125LS6N7WP4S6SFTCK",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS125LS6N7WP4S6SFTCK",
      "name": "Python (Programming Language)",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS120L96KMYTDJ48NRSH",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS120L96KMYTDJ48NRSH",
      "name": "Software Development",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    },
    {
      "id": "KS440QS66YCBN23Y8K25",
      "infoUrl": "https://lightcast.io/open-skills/skills/KS440QS66YCBN23Y8K25",
      "name": "Software Engineering",
      "type": {
        "id": "ST1",
        "name": "Specialized Skill"
      }
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Invalid request",
      "detail": "Invalid request body"
    }
  ]
}
{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: 77"
    }
  ]
}